Skip to main content
PATCH
/
api
/
v1
/
school
/
subjects
/
{id}
Update subjects partial
curl --request PATCH \
  --url https://api.example.com/api/v1/school/subjects/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "code": "<string>",
  "level": "A Level",
  "curriculum": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_deleted": true
}
'
{
  "name": "<string>",
  "code": "<string>",
  "level": "A Level",
  "curriculum": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "curriculum_details": {
    "exam_board": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "is_deleted": true,
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "is_deleted": true,
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this subject.

Body

Auto-populate created_by from request.user when available.

name
string
Required string length: 1 - 255
code
string
Required string length: 1 - 255
level
enum<string>
  • A Level - A Level
  • O Level - O Level
Available options:
A Level,
O Level
curriculum
string<uuid> | null
is_deleted
boolean

Response

200 - application/json

Auto-populate created_by from request.user when available.

name
string
required
Maximum string length: 255
code
string
required
Maximum string length: 255
level
enum<string>
required
  • A Level - A Level
  • O Level - O Level
Available options:
A Level,
O Level
curriculum
string<uuid> | null
required
id
string<uuid>
curriculum_details
object

Auto-populate created_by from request.user when available.

created_at
string<date-time>
is_deleted
boolean
updated_at
string<date-time>